WordPress Sentry

plugin banner

A (unofficial) WordPress plugin to report PHP errors and JavaScript errors to Sentry.

Author:Alex Bouma (profile at wordpress.org)
WordPress version required:4.4
WordPress version tested:5.4.2
Plugin version:3.8.0
Added to WordPress repository:27-10-2016
Last updated:12-06-2020
Rating, %:100
Rated by:6
Plugin URI:https://github.com/stayallive/wp-sentry
Total downloads:65 768
Active installs:3 000+
plugin download
Click to start download

This plugin can report PHP errors (optionally) and JavaScript errors (optionally) to Sentry and integrates with its release tracking.

It will auto detect authenticated users and add context where possible. All context/tags can be adjusted/expanded using filters.

For more information and documentation have a look at the README.md file.

Contributors

See: github.com/stayallive/wp-sentry/graphs/contributors


ChangeLog